__NAPI_ALLOC_SKB(9)

NAME
__napi_alloc_skb - allocate skbuff for rx in a specific NAPI instance

SYNOPSIS

struct sk_buff * __napi_alloc_skb(struct napi_struct * napi, unsigned int length, gfp_t gfp_mask);

ARGUMENTS

napi
    napi instance this buffer was allocated for

length
    length to allocate

gfp_mask
    get_free_pages mask, passed to alloc_skb and alloc_pages

DESCRIPTION

Allocate a new sk_buff for use in NAPI receive. This buffer will attempt to allocate the head from a special reserved region used only for NAPI Rx allocation. By doing this we can save several CPU cycles by avoiding having to disable and re-enable IRQs.

NULL is returned if there is no free memory.

COPYRIGHT